package com.yobotics.exampleSimulations.flyballGovernor;

import com.yobotics.simulationconstructionset.SimulationConstructionSet;


public class FlyballGovernorSimulation
{
   private SimulationConstructionSet sim;

   public FlyballGovernorSimulation()
   {
      FlyballGovernorRobot flyballGovernor = new FlyballGovernorRobot();

      sim = new SimulationConstructionSet(flyballGovernor);

      // sim.setGroundVisible(false);


      sim.setCameraPosition(0.0, 1.5, 0.2);
      sim.setCameraFix(0.0, 0.0, 0.1);

      sim.setupEntryBox("q_d_cylinder_z");
      sim.setupEntryBox("k_feedback");

      sim.setupGraph("qd_rotation");
      sim.setupGraph(new String[] {"q_d_cylinder_z", "q_cylinder_z"});
      sim.setupGraph("tau_rotation");

      sim.setDT(0.002, 10);
      Thread myThread = new Thread(sim);
      myThread.start();
   }

   public static void main(String[] args)
   {
      FlyballGovernorSimulation sim = new FlyballGovernorSimulation();

   }


}
