import com.yobotics.simulationconstructionset.*;
import com.yobotics.simulationconstructionset.util.*;
import springflamingo.*;

  DT = 0.0004;
 

  
    springFlamingo = SpringFlamingoRobot;
    controller = SpringFlamingoController(springFlamingo);
    springFlamingo.setController(controller);
    gcm = LinearGroundContactModel(springFlamingo);
    springFlamingo.setGroundContactModel(gcm);
   
    sim = SimulationConstructionSet(springFlamingo);

    sim.setCameraFix(0.0,0.0,0.6);
    sim.setCameraPosition(-9.0,3.0,0.8);

    sim.setCameraTracking(true, true, true, false);
    sim.setCameraDolly(false, true, true, false);

    sim.setDT(0.0004,25);


    sim.setupGraph('q_z');
   
    sim.setFastSimulate(true);

    myThread = java.lang.Thread(sim);
    myThread.start;
  
    t = sim.getVar('t');
    
    while(t.val < 20.0)
        sim.simulateOneTimeStep;
    end;
    